Skip to main content
PUT
/
v1
/
queues
/
{queue_id}
Update an annotation queue
curl --request PUT \
  --url https://api.honeyhive.ai/v1/queues/{queue_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "enabled": true,
  "add_event_ids": [
    "<string>"
  ],
  "remove_event_ids": [
    "<string>"
  ]
}
'
import requests

url = "https://api.honeyhive.ai/v1/queues/{queue_id}"

payload = {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": True,
"add_event_ids": ["<string>"],
"remove_event_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
description: '<string>',
enabled: true,
add_event_ids: ['<string>'],
remove_event_ids: ['<string>']
})
};

fetch('https://api.honeyhive.ai/v1/queues/{queue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "queue": {
    "name": "<string>",
    "description": "<string>",
    "filters": {
      "filterArray": [
        {
          "field": "<string>",
          "value": "<string>"
        }
      ]
    },
    "enabled": true,
    "id": "<string>",
    "scope_id": "<string>",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

queue_id
string
required

Annotation queue ID

Body

application/json
id
string
required
Minimum string length: 1
name
string
Maximum string length: 200
description
string
Maximum string length: 1000
filters
object
enabled
boolean
add_event_ids
string[]
remove_event_ids
string[]

Response

Queue updated successfully

queue
object
required
message
string
required